=== debian/changelog ===
parted (1.4.24-4.woody.1) stable; urgency=low

  * Backported upstream's patch for MacOS X partition issue from 1.6 series.
    The patch is simply a 2 line addition which comments out a check that
    the boot region starts at the start of the partition. Since the MacOS X
    doesn't have the boot region at the start of the partition, this check
    caused a fatal error on all MacOS X / Debian systems, and means that
    the parted-using PGI can't be used to install the system. (closes: 145214)

 -- Timshel Knoll <timshel@debian.org>  Mon,  9 Dec 2002 12:55:19 +1100

parted (1.4.24-4) unstable; urgency=low

  * Applied Richard Hirst's hp-service partition patch

 -- Timshel Knoll <timshel@debian.org>  Thu, 28 Mar 2002 12:36:48 +1100

parted (1.4.24-3) unstable; urgency=high

  * Applied patch from Richard Hirst <rhirst@linuxcare.com> which fixes a data
    corruption bug on ia64 (GPT) disklabels (hence the urgency=high upload).
    This problem is caused by a bug with gcc's __attribute__ ((packed))
    "feature". Richard's patch also fixes endianness issues with the on-disk /
    in-memory UUID of the GUID Partition Table, and an endianness bug where
    64 bit which were little endian on disk were only being half transferred
    to big endian in memory. This latter bug only affects big endian machines.
  * Recompile against latest e2fsprogs, this fixes a problem where
    incompatible versions of e2fsprogs can be installed

 -- Timshel Knoll <timshel@debian.org>  Tue, 26 Mar 2002 18:09:12 +1100

parted (1.4.24-2) unstable; urgency=low

  * Many packaging changes merged from experimental 1.6.0-pre4-1 packages:
  * debian/copyright: cleaned up copyright message and added 2002 to (C)
  * debian/control.in:
    - Fixed misspelling in parted-bf description (closes: #125216)
    - added libparted1.4-i18n package with i18n message catalogs
    - updated filesystem and disklabel lists in package descriptions
  * debian/rules:
    - use DESTDIR rather than prefix to install to debian/tmp
    - use $(CURDIR) rather than `pwd` to get the current directory
    - misc. small fixes

 -- Timshel Knoll <timshel@debian.org>  Fri,  8 Mar 2002 00:14:36 +1100

parted (1.4.24-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Wed, 30 Jan 2002 10:32:50 +1100

parted (1.4.23-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Wed, 16 Jan 2002 00:02:03 +1100

parted (1.4.22-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Sun, 30 Dec 2001 00:51:42 +1100

parted (1.4.21-1) unstable; urgency=low

  * New upstream release
  * Disable -Werror when building on s390 (closes: #121267)

 -- Timshel Knoll <timshel@debian.org>  Fri,  7 Dec 2001 23:51:02 +1100

parted (1.4.20-1) unstable; urgency=low

  * New upstream release
  * Upstream now uses C99's PRIx64 for printf'ing __u64's - this fixes
    compilation warnings on alpha and ia64 (closes: #115369)
  * This should fix all alpha compile warnings, so removed --disable-Werror
    configure flag when compiling on alpha (-Werror will help find bugs)

 -- Timshel Knoll <timshel@debian.org>  Mon, 15 Oct 2001 11:00:29 +1000

parted (1.4.19-2) unstable; urgency=low

  * debian/rules: call ./configure with --disable-Werror flag on
    alpha as well ... (closes: #114172)

 -- Timshel Knoll <timshel@debian.org>  Mon,  8 Oct 2001 12:51:47 +1000

parted (1.4.19-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Sun, 30 Sep 2001 18:51:41 +1000

parted (1.4.18+19pre2-5) unstable; urgency=low

  * Applied Matt Domsch <Matt_Domsch@Dell.com>'s GPT (GUID Partition Tables)
    support patch (closes: #105555)

 -- Timshel Knoll <timshel@debian.org>  Sat, 15 Sep 2001 10:46:55 +1000

parted (1.4.18+19pre2-4) unstable; urgency=low

  * debian/control: Build-Depend on libtool (closes: #112110)

 -- Timshel Knoll <timshel@debian.org>  Thu, 13 Sep 2001 11:20:56 +1000

parted (1.4.18+19pre2-3) unstable; urgency=low

  * Fixes to *really* fix building on m68k (yes really this time ... grrr):
    - configure.in: hacked to add --disable-Werror argument
    - debian/control: added Build-Depends on recent autoconf and automake
    - debian/rules:
      + run aclocal, autoconf and automake before ./configure'ing
      + run configure with --disable-Werror argument on m68k

 -- Timshel Knoll <timshel@debian.org>  Wed, 12 Sep 2001 16:43:59 +1000

parted (1.4.18+19pre2-2) unstable; urgency=low

  * debian/control:
    + Fixed typo - fixed typo - libparted1.4 package was Priority: extra
      instead of parted-bf package for the last 2 releases - fixed this
    + Updated the file system support list in package descriptions
    + Removed Build-Depends: on autoconf, automake and libtool - these are
      only needed if autoconf/automake need to be re-run ... (not the case)
  * debian/rules:
    + pass the correct libparted library directory to dh_shlibdeps for
      correct parted package dependancies (closes: #102359)
  * debian/README.Debian: Updated the file system support list

 -- Timshel Knoll <timshel@debian.org>  Mon, 10 Sep 2001 00:40:49 +0000

parted (1.4.18+19pre2-1) unstable; urgency=low

  * New upstream (pre-) release
  * Build with -Wno-uninitialized on m68k (really closes: #110264)

 -- Timshel Knoll <timshel@debian.org>  Mon, 10 Sep 2001 00:28:47 +1000

parted (1.4.18+19pre1-1) unstable; urgency=low

  * New upstream (pre-) release (closes: #110264)
  * debian/rules, debian/control:
    + Build parted-bf package, built with --disable-readline (closes: #109161)
    + Now using debhelper v3

 -- Timshel Knoll <timshel@debian.org>  Wed,  5 Sep 2001 13:08:56 +1000

parted (1.4.18-1) unstable; urgency=low

  * New upstream release (never uploaded)

 -- Timshel Knoll <timshel@debian.org>  Mon, 20 Aug 2001 20:23:41 +1000

parted (1.4.17-1) unstable; urgency=low

  * New upstream release

