=== debian/control ===
Source: parted
Section: admin
Priority: optional
Maintainer: Timshel Knoll <timshel@debian.org>
Standards-Version: 3.5.4
Build-Depends: debhelper (>= 3.0.0), libncurses-dev | libncurses5-dev, libreadline-dev, uuid-dev, gettext

Package: parted
Architecture: any
Section: admin
Depends: ${shlibs:Depends}
Suggests: parted-doc
Conflicts: fsresize
Replaces: fsresize
Description: The GNU Parted disk partition resizing program
 GNU Parted is a program that allows you to create, destroy,
 resize, move and copy hard disk partitions. This is useful
 for creating space for new operating systems, reorganising
 disk usage, and copying data to new hard disks.
 .
 This package contains the Parted binary and manual page.
 .
 Parted currently supports DOS, Mac, Sun, BSD, GPT and PC98
 disklabels/partition tables, as well as a 'loop' (raw disk)
 type which allows use on RAID/LVM. Filesystems supported are
 ext2, ext3, FAT (FAT16 and FAT32) and linux-swap. Parted can
 also detect HFS (Mac OS), JFS, NTFS, ReiserFS, UFS and XFS
 filesystems, but cannot create/remove/resize/check these
 filesystems yet.
 .
 The nature of this software means that any bugs could cause
 massive data loss. While there are no known bugs at the moment,
 they could exist, so please back up all important files before
 running it, and do so at your own risk.

Package: parted-bf
Architecture: any
Section: admin
Priority: extra
Depends: ${shlibs:Depends}
Suggests: parted-doc
Conflicts: fsresize, parted
Replaces: fsresize
Provides: parted
Description: The GNU Parted disk partition resizing program, small version
 GNU Parted is a program that allows you to create, destroy,
 resize, move and copy hard disk partitions. This is useful
 for creating space for new operating systems, reorganising
 disk usage, and copying data to new hard disks.
 .
 This package is similar to the "big" parted package, but has
 less cosmetic features resulting in smaller binary. Intended
 to be used on boot floppies.
 .
 Parted currently supports DOS, Mac, Sun, BSD, GPT and PC98
 disklabels/partition tables, as well as a 'loop' (raw disk)
 type which allows use on RAID/LVM. Filesystems supported are
 ext2, ext3, fat (FAT16 and FAT32) and linux-swap. Parted can
 also detect HFS (Mac OS), JFS, NTFS, ReiserFS, UFS and XFS
 filesystems, but cannot create/remove/resize/check these
 filesystems yet.
 .
 The nature of this software means that any bugs could cause
 massive data loss. While there are no known bugs at the moment,   
 they could exist, so please back up all important files before
 running it, and do so at your own risk.

Package: libparted1.4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: libparted1.4-dev
Conflicts: parted (<< 1.4.13+14pre1), libparted0, libparted1, libparted2
Replaces: libparted0, libparted1, libparted2
Provides: libparted
Description: The GNU Parted disk partitioning library, shared libraries
 GNU Parted is a program that allows you to create, destroy,
 resize, move and copy hard disk partitions. This is useful
 for creating space for new operating systems, reorganising
 disk usage, and copying data to new hard disks.
 .
 This package contains libparted, the required shared library
 used by Parted.
 .
 Parted currently supports DOS, Mac, Sun, BSD, GPT and PC98
 disklabels/partition tables, as well as a 'loop' (raw disk)
 type which allows use on RAID/LVM. Filesystems supported are
 ext2, ext3, fat (FAT16 and FAT32) and linux-swap. Parted can
 also detect HFS (Mac OS), JFS, NTFS, ReiserFS, UFS and XFS
 filesystems, but cannot create/remove/resize/check these
 filesystems yet.
 .
 Please note that libparted1.4 packages are actually
 newer than the libparted2 packages. I have re-numbered the
 packages because of problems with new, incompatible versions
 of libparted being released, and also to create more
 consistency of version numbers across the package. See
 README.Debian for more details.
 .
 The nature of this software means that any bugs could cause
 massive data loss. While there are no known bugs at the moment,
 they could exist, so please back up all important files before
 running it, and do so at your own risk.

Package: libparted1.4-i18n
Architecture: all
Section: libs
Depends: libparted1.4
Replaces: libparted0, libparted1, libparted2, libparted1.4 (<< 1.4.24-2), parted (<< 1.4.13+14pre1),
Conflicts: libparted-i18n
Provides: libparted-i18n
Description: The GNU Parted disk partitioning library, i18n support
 GNU Parted is a program that allows you to create, destroy,
 resize, move and copy hard disk partitions. This is useful
 for creating space for new operating systems, reorganising
 disk usage, and copying data to new hard disks.
 .
 This package contains the i18n message catalogs for both
 libparted and the parted executable.
 .
 Parted currently supports DOS, Mac, Sun, BSD, GPT and PC98
 disklabels/partition tables, as well as a 'loop' (raw disk)
 type which allows use on RAID/LVM. Filesystems supported are
 ext2, ext3, fat (FAT16 and FAT32) and linux-swap. Parted can
 also detect HFS (Mac OS), JFS, NTFS, ReiserFS, UFS and XFS
 filesystems, but cannot create/remove/resize/check these
 filesystems yet.
 .
 Please note that libparted1.4 packages are actually
 newer than the libparted2 packages. I have re-numbered the
 packages because of problems with new, incompatible versions
 of libparted being released, and also to create more
 consistency of version numbers across the package. See
 README.Debian for more details.
 .
 The nature of this software means that any bugs could cause
 massive data loss. While there are no known bugs at the moment,
 they could exist, so please back up all important files before
 running it, and do so at your own risk.

Package: libparted1.4-dev
Architecture: any
Section: devel
Depends: libc6-dev, libparted1.4 (= ${Source-Version})
Suggests: parted (= ${Source-Version}), parted-doc
Conflicts: libparted-dev, parted (<< 1.2.11)
Replaces: libparted0-dev, libparted1-dev, libparted2-dev
Provides: libparted-dev
Description: The GNU Parted disk partitioning library, development files
 GNU Parted is a program that allows you to create, destroy,
 resize, move and copy hard disk partitions. This is useful
 for creating space for new operating systems, reorganising
 disk usage, and copying data to new hard disks.
 .
 This package contains the static library and header files
 for libparted, which are really only of interest to parted
 developers.
 .
 Parted currently supports DOS, Mac, Sun, BSD, GPT and PC98
 disklabels/partition tables, as well as a 'loop' (raw disk)
 type which allows use on RAID/LVM. Filesystems supported are
 ext2, ext3, fat (FAT16 and FAT32) and linux-swap. Parted can
 also detect HFS (Mac OS), JFS, NTFS, ReiserFS, UFS and XFS
 filesystems, but cannot create/remove/resize/check these
 filesystems yet.
 .
 Please note that libparted1.4 packages are actually
 newer than the libparted2 packages. I have re-numbered the
 packages because of problems with new, incompatible versions
 of libparted being released, and also to create more
 consistency of version numbers across the package. See
 README.Debian for more details.
 .
 The nature of this software means that any bugs could cause
 massive data loss. While there are no known bugs at the moment,
 they could exist, so please back up all important files before
 running it, and do so at your own risk.

Package: libparted1.4-dbg
Architecture: any
Section: devel
Priority: extra
Depends: libparted1.4 (= ${Source-Version}), libparted1.4-dev (= ${Source-Version})
Conflicts: libparted-dbg
Provides: libparted-dbg
Description: The GNU Parted disk partitioning library, development files
 GNU Parted is a program that allows you to create, destroy,
 resize, move and copy hard disk partitions. This is useful
 for creating space for new operating systems, reorganising
 disk usage, and copying data to new hard disks.
 .
 This package contains the debugging static library for
 libparted, which are really only of interest to parted
 developers who need to debug their programs.
 .
 The debugging libraries are installed as /usr/lib/libparted_g.a
 Link specifically with them if you want to debug.
 .
 Parted currently supports DOS, Mac, Sun, BSD, GPT and PC98
 disklabels/partition tables, as well as a 'loop' (raw disk)
 type which allows use on RAID/LVM. Filesystems supported are
 ext2, ext3, fat (FAT16 and FAT32) and linux-swap. Parted can
 also detect HFS (Mac OS), JFS, NTFS, ReiserFS, UFS and XFS
 filesystems, but cannot create/remove/resize/check these
 filesystems yet.
 .
 The nature of this software means that any bugs could cause
 massive data loss. While there are no known bugs at the moment,
 they could exist, so please back up all important files before
 running it, and do so at your own risk.

Package: parted-doc
Architecture: all
Section: doc
Suggests: parted | libparted1.4-dev
Description: The GNU Parted disk partition resizing program documentation
 GNU Parted is a program that allows you to create, destroy,
 resize, move and copy hard disk partitions. This is useful
 for creating space for new operating systems, reorganising
 disk usage, and copying data to new hard disks. This package
 contains user documentation for parted (for the 'parted'
 package) and API documentation for libparted (for the
 'libparted1.4' and 'libparted1.4-dev' packages).
