=== debian/watch ===
# Site		Directory		Pattern			Version	Script
ftp.gnu.org	/gnu/parted/		parted-(.*).tar.gz	debian	uupdate
